package com.kangacult.octogone.desktop;

import com.badlogic.gdx.Files;
import com.badlogic.gdx.backends.lwjgl.LwjglApplication;
import com.badlogic.gdx.backends.lwjgl.LwjglApplicationConfiguration;
import com.kangacult.octogone.Core;

public class DesktopLauncher {
	public static void main (String[] arg) {
		LwjglApplicationConfiguration config = new LwjglApplicationConfiguration();
		config.foregroundFPS = 60;
		config.width = 1280;
		config.height = 720;
		config.title = "Octo-Gone!";
		config.addIcon("data/logo128.png", Files.FileType.Internal);
		config.addIcon("data/logo32.png", Files.FileType.Internal);
		config.addIcon("data/logo16.png", Files.FileType.Internal);

		//TODO: Handle full screen at startup
		if (false){
			config.fullscreen = true;
		}

		Core core = new Core();

		if (core.fullScreen){
			config.fullscreen = true;
		}

		new LwjglApplication(core, config);
	}
}
